Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class DHPkcsDeriveParameters

    java.lang.Object
      iaik.pkcs.pkcs11.parameters.DHPkcsDeriveParameters

All Implemented Interfaces:
  Cloneable, Parameters

public class DHPkcsDeriveParameters
extends Object
implements Parameters

This class encapsulates parameters for the algorithms Mechanism.DH_PKCS_DERIVE.

Invariants
  (publicValue_ <> null)

Field Summary
`protected byte[]` | `publicValue_` The initialization vector.

Constructor Summary
`DHPkcsDeriveParameters(byte[] publicValue)` Create a new DHPkcsDeriveParameters object with the given public value.

Method Summary
`Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(Object otherObject)` Compares all member variables of this object with the other object.
`Object` | `getPKCS11ParamsObject()` Get this parameters object as a byte array.
`byte[]` | `getPublicValue()` Get the public value of the other party in the key agreement protocol.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setPublicValue(byte[] publicValue)` Set the public value of the other party in the key agreement protocol.
`String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### publicValue_

    protected byte[] publicValue_

  The initialization vector.

Constructor Detail

### DHPkcsDeriveParameters

    public DHPkcsDeriveParameters(byte[] publicValue)

  Create a new DHPkcsDeriveParameters object with the given public value.

Parameters:
  `publicValue` - The public value of the other party in the key agreement protocol.
Preconditions
  (publicValue <> null)
Postconditions

Method Detail

### clone

    public Object clone()

  Create a (deep) clone of this object.

  Returns:
    A clone of this object.
  Preconditions
  Postconditions
    (result <> null) and (result instanceof DHPkcsDeriveParameters) and (result.equals(this))

### getPKCS11ParamsObject

    public Object getPKCS11ParamsObject()

  Get this parameters object as a byte array.

  Specified by:
    `getPKCS11ParamsObject` in interface `Parameters`
  Returns:
    This object as a byte array.
  Preconditions
  Postconditions
    (result <> null)

### getPublicValue

    public byte[] getPublicValue()

  Get the public value of the other party in the key agreement protocol.

  Returns:
    The public value of the other party in the key agreement protocol.
  Preconditions
  Postconditions
    (result <> null)

### setPublicValue

    public void setPublicValue(byte[] publicValue)

  Set the public value of the other party in the key agreement protocol.

  Parameters:
    `publicValue` - The public value of the other party in the key agreement protocol.
  Preconditions
    (publicValue <> null)
  Postconditions

### toString

    public String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.

  Returns:
    A string representation of this object.

### equals

    public boolean equals(Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.

  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.
  Preconditions
  Postconditions

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.

  Returns:
    The hash code of this object.
  Preconditions
  Postconditions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.